
#pragma once

#include <JuceHeader.h>

class IPlayControl;
//==============================================================================
/*
 */
class ControlPanel : public Component, public Button::Listener {
   public:
    ControlPanel(IPlayControl& play_controller);
    ~ControlPanel() override;

    void paint(juce::Graphics& g) override;
    void resized() override;
    void buttonClicked(Button*) override;

   private:
    std::unique_ptr<DrawableButton> play_button_;
    std::unique_ptr<DrawableButton> stop_button_;
    std::unique_ptr<DrawableButton> to_start_button_;

    IPlayControl& play_controller_;

    JUCE_DECLARE_NON_COPYABLE_WITH_LEAK_DETECTOR(ControlPanel)
};
